﻿using System;
using System.Collections.Generic;

namespace Ato.CD.Inbound.TRTAMI202302
{
    public static class CrossFormExtensions
    {
        public static List<Context> AddContext(this List<Context> contexts, DateTime? startDate, DateTime? endDate, int occurrenceIdx, string id)
        {
            if(occurrenceIdx > 0)
                contexts.Add(new Context
                {
                    StartDate = startDate,
                    EndDate = endDate,
                    Index = occurrenceIdx,
                    Id = id
                });

            return contexts;
        }
    }

    public struct Context
    {
        public DateTime? StartDate { get; set; }
        public DateTime? EndDate { get; set; }
        public int Index { get; set; }
        public string Id { get; set; }
    }
}